summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2017-09-07 03:27:09 +0200
committer Willy Sudiarto Raharjo2017-09-09 01:56:14 +0200
commit77502fbd76ce725f45d919c8f08ab15aacba7280 (patch)
tree46165fb7626ed237e6314fd04faa3e21fb915cbf /development
parent5528773b70839c4612672eda520656075fb35624 (diff)
downloadslackbuilds-77502fbd76ce725f45d919c8f08ab15aacba7280.tar.gz
development/mads: Added (cross assembler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/mads/README16
-rw-r--r--development/mads/mads.SlackBuild65
-rw-r--r--development/mads/mads.info10
-rw-r--r--development/mads/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/development/mads/README b/development/mads/README
new file mode 100644
index 0000000000..68bf67acce
--- /dev/null
+++ b/development/mads/README
@@ -0,0 +1,16 @@
+mads (cross assembler for 6502, targetting the Atari 8-bit)
+
+MADS is oriented toward users of QA, XASM, and FA. The syntax is borrowed
+from QA, some macro commands and syntax come from XASM, and SpartaDOS X
+(SDX) syntax is inherited from FA. Additional characters are allowed in
+label names. Also added are support for the 65816 CPU, macros, procedures,
+splitting across virtual memory banks, and nested label names.
+
+/usr/doc/mads-$VERSION/examples has a lot of sample code that's well
+worth looking at. The DOS/Windows package of MADS ships with various
+executables in examples/compression. These are not included in the
+package. "Squash", "deflate", and "rle" ship with source, so you can
+compile these yourself if you need them. "Exomizer", "lz4", and "pucrunch"
+exist on SlackBuilds.org, in the system/ category.
+
+Syntax highlighting for the vim and scite editors is included.
diff --git a/development/mads/mads.SlackBuild b/development/mads/mads.SlackBuild
new file mode 100644
index 0000000000..2834fca113
--- /dev/null
+++ b/development/mads/mads.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for mads
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=mads
+VERSION=${VERSION:-2.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+7za x $CWD/${PRGNAM}_${VERSION//./}.7z
+find . -type f -print0 | xargs -0 chmod 644
+find . -type d -print0 | xargs -0 chmod 755
+find . -iname \*.exe -print0 | xargs -0 rm -f
+chown -R root:root .
+
+# Build & install the binary.
+fpc -Mdelphi -vh -O3 $PRGNAM.pas
+mkdir -p $PKG/usr/bin
+install -s -m0755 $PRGNAM $PKG/usr/bin
+
+# Install the syntax highlighting for vim and scite. The other editors
+# aren't on SBo (some are Windows-only anyway).
+mkdir -p $PKG/usr/share/scite $PKG/usr/share/vim/vimfiles
+install -m0644 "syntax/SciTE 1.71/$PRGNAM.properties" $PKG/usr/share/scite
+cp -a syntax/vim-mads-master/ftdetect/ syntax/vim-mads-master/syntax/ \
+ $PKG/usr/share/vim/vimfiles
+cp -a syntax/vim-mads-master/LICENSE \
+ $PKG/usr/share/vim/vimfiles/mads.vim.LICENSE
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a examples readme $PKGDOC
+cat $CWD/README > $PKGDOC/README
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mads/mads.info b/development/mads/mads.info
new file mode 100644
index 0000000000..6d8afec37c
--- /dev/null
+++ b/development/mads/mads.info
@@ -0,0 +1,10 @@
+PRGNAM="mads"
+VERSION="2.0.6"
+HOMEPAGE="http://mads.atari8.info/"
+DOWNLOAD="http://mads.atari8.info/mads_206.7z"
+MD5SUM="1709b97e5a1da11e6526b867654095a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="p7zip fpc"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/mads/slack-desc b/development/mads/slack-desc
new file mode 100644
index 0000000000..7ddf5f73c0
--- /dev/null
+++ b/development/mads/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mads: mads (cross assembler for 6502, targetting the Atari 8-bit)
+mads:
+mads: MADS is oriented toward users of QA, XASM, and FA. The syntax is
+mads: borrowed from QA, some macro commands and syntax come from XASM, and
+mads: SpartaDOS X (SDX) syntax is inherited from FA. Additional characters
+mads: are allowed in label names. Also added are support for the 65816
+mads: CPU, macros, procedures, splitting across virtual memory banks,
+mads: and nested label names.
+mads:
+mads:
+mads: